/*
 * fm.h - Audiality 2 1/2/3/4-operator FM oscillator units
 *
 * Copyright 2014-2015 David Olofson <david@olofson.net>
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from the
 * use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 */

#ifndef A2_FM_H
#define A2_FM_H

#include "a2_units.h"

extern const A2_unitdesc a2_fm1_unitdesc;
extern const A2_unitdesc a2_fm2_unitdesc;
extern const A2_unitdesc a2_fm3_unitdesc;
extern const A2_unitdesc a2_fm4_unitdesc;

extern const A2_unitdesc a2_fm3p_unitdesc;
extern const A2_unitdesc a2_fm4p_unitdesc;

extern const A2_unitdesc a2_fm2r_unitdesc;
extern const A2_unitdesc a2_fm4r_unitdesc;

#endif /* A2_FM_H */
